package com.pcloud.book.group.vo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/25 19:57
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupScanTrendParamVO implements Serializable {

    private Long bookGroupId;

    private Long classifyId;

    private Long wxGroupId;

    private Date startDate;

    private Date endDate;

    private Integer dayNum;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(Long wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getDayNum() {
        return dayNum;
    }

    public void setDayNum(Integer dayNum) {
        this.dayNum = dayNum;
    }

    @Override
    public String toString() {
        return "GroupScanTrendParamVO{" +
                "bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", wxGroupId=" + wxGroupId +
                ", startDate=" + startDate +
                ", endDate=" + endDate +
                ", dayNum=" + dayNum +
                '}';
    }
}